<?php
class forum_mmoo_content_delete_post extends forum_mmoo_content{
	function __construct($request=array()){
		parent::__construct($request);
	}
	
	function setOutputMain(){
		include_once(FORUM_MMOO_DATA_DIR.'data_thread.php');
		$this->objThread = new forum_mmoo_data_thread( $this->request['forum_mmoo_topic'] );
		$this->postInfo = $this->objThread->getPost($this->request['forum_mmoo_post']);
		
		if( $this->memberInfo['edit_other']==FORUM_MMOO_FLAG_YES ){
			$this->letDelete();
		}elseif( $this->memberInfo['edit_own']==FORUM_MMOO_FLAG_YES && $this->postInfo['posted_by']==$this->memberInfo['member_id'] ){
			$this->letDelete();
		}else{
			$this->outputMain .= $this->copyOutputMain('posts');
		}
	}
	
	function letDelete(){
		$sessionData = forum_mmoo_get_session();
		if( $this->request['forum_mmoo_confirm'] == 'yes' ){
			if( $this->objThread->deletePost($this->request['forum_mmoo_post']) ){
				$this->outputMain .= '<div id="forum_mmoo-success_message">Post deleted.</div>';
				
				include_once(FORUM_MMOO_DATA_DIR.'data_notify_reply.php');
				$objNotifyReply = new forum_mmoo_data_notify_reply();
				$objNotifyReply->stop($this->request['forum_mmoo_topic'], $this->request['forum_mmoo_post']);
			}else{
				$this->outputMain .= '<div id="forum_mmoo-error_message">Failed to delete the post. '.FORUM_MMOO_UNEXPECTED_ERROR_MESSAGE.'</div>';
			}
			
			$this->outputMain .= $this->copyOutputMain($sessionData['backPage']['act'], $sessionData['backPage']['option']);
		}else{
			$this->outputMain .= '<span class="forum_mmoo-page_title">Delete the post</span>';
			$this->outputMain .= '<div id="forum_mmoo-error_message">';
			$this->outputMain .= 'Are you really truly sure?';
			$this->outputMain .= '&nbsp;&nbsp;&nbsp;&nbsp;<a href="'.forum_mmoo_make_content_url($sessionData['backPage']['act'], $sessionData['backPage']['option']).'" class="forum_mmoo-psudo_button">On the second thought....</a>';
			$this->outputMain .= '</div>';
			$this->outputMain .= '<form name="forum_mmoo_form" method="post" action="'.forum_mmoo_make_content_url('delete_post').'">';
			$this->outputMain .= '<input type="hidden" name="forum_mmoo_topic" value="'.$this->request['forum_mmoo_topic'].'">';
			$this->outputMain .= '<input type="hidden" name="forum_mmoo_post" value="'.$this->request['forum_mmoo_post'].'">';
			$this->outputMain .= '<input type="hidden" name="forum_mmoo_confirm" value="yes">';
			$this->outputMain .= '<div align="center"><span class="forum_mmoo-psudo_button" onClick="document.forum_mmoo_form.submit();">DELETE</span></div>';
			$this->outputMain .= '</form>';
		}
	}
}
?>