<?php
class forum_mmoo_content_login extends forum_mmoo_content{
	var $neccessary = array();
	
	function __construct($request=array()){
		parent::__construct($request, false);
		
		include_once(FORUM_MMOO_CONTENT_DIR.'_login_class.php');
		$objLogin = new forum_mmoo_login_class();
		$objLogin->logout();
	}
	
	function setOutputMain(){
		include_once(FORUM_MMOO_DATA_DIR.'data_members.php');
		$objMembers = new forum_mmoo_data_members();
		$neccessaryMemberCol = $objMembers->getNeccessary();
		
		include_once(FORUM_MMOO_DATA_DIR.'data_member_info.php');
		$objMemberInfo = new forum_mmoo_data_member_info();
		$arrInfo = $objMemberInfo->getData();
		
		foreach($neccessaryMemberCol as $n){
			foreach( $arrInfo as $info ){
				if( $info['member_col_name']==$n ){
					$this->neccessary[$n] = $info;
					break;
				}
			}
		}
		
		if( empty($this->request['try_login']) ){
			$this->topLinks[] = array('act'=>'register', 'option'=>array(), 'text'=>'Sing Up');
			$this->showTry();
		}else{
			$this->tryLogin();
		}
	}
	
	function tryLogin(){
		$forLogin = array();
		foreach( $this->neccessary as $n => $info ){
			$forLogin[$n] = $this->request[$n];
		}
		include_once(FORUM_MMOO_CONTENT_DIR.'_login_class.php');
		$objLogin = new forum_mmoo_login_class();
		if( $this->request['dont_save_cookie'] == 'yes' ){
			$updateCookie = false;
		}else{
			$updateCookie = true;
		}
		if( $objLogin->tryLogin($forLogin,$updateCookie) ){
			$this->setMemberInfoWithDb( $objLogin->memberId );
			$this->showSuccess();
		}else{
			$this->outputMain .= '<div id="forum_mmoo-error_message">';
			$and = '';
			$this->outputMain .= 'Invalid ';
			foreach( $this->neccessary as $n => $info ){
				$this->outputMain .= $and.$info['question'];
				$and = ' or ';
			}
			$this->outputMain .= '</div>';
			$this->showTry();
		}
	}
	
	function showTry(){
		$this->outputMain .= '<form name="forum_mmoo_form" method="post" action="'.forum_mmoo_make_content_url('login').'">';
		$this->outputMain .= '<input type="hidden" name="try_login" value="1">';
		$this->outputMain .= '<div align="center">';
		$this->outputMain .= '<table class="forum_mmoo-table_login">';
		foreach( $this->neccessary as $n => $info ){
			$this->outputMain .= '<tr>';
			$this->outputMain .= '<th>'.$info['question'].'</th>';
			$this->outputMain .= '<td>';
			if( $n=='password' ){
				$this->outputMain .= '<input type="password" class="forum_mmoo-password" name="password">';
			}else{
				$this->outputMain .= '<input type="text" class="forum_mmoo-'.$n.'" name="'.$n.'" value="'.$this->request[$n].'" style="ime-mode:disabled;">';
			}
			$this->outputMain .= '</td>';
		}
		$this->outputMain .= '</table>';
		$this->outputMain .= '<input type="hidden" id="dont_save_cookie" name="dont_save_cookie" value="no">';
		$this->outputMain .= '<input type="checkbox" id="save_cookie" onClick="forum_mmoo_dont(\'save_cookie\');"';
		if( $this->request['dont_save_cookie'] != 'yes' ){
			$this->outputMain .= ' checked';
		}
		$this->outputMain .= '>';
		$this->outputMain .= 'remember me';
		$this->outputMain .= '&nbsp;&nbsp;<span class="forum_mmoo-psudo_button" onClick="document.forum_mmoo_form.submit();">Sign In</span>';
		include_once(FORUM_MMOO_DATA_DIR.'data_general.php');
		$objGeneral = new forum_mmoo_data_general();
		$generalInfo = $objGeneral->getData();
		if( $generalInfo['password_reminder'] == FORUM_MMOO_FLAG_YES ){
			$this->outputMain .= '<br><a href="'.forum_mmoo_make_content_url('pass_remind').'">>>forgot your password?</a>';
		}
		$this->outputMain .= '</div>';
		$this->outputMain .= '</form>';
	}
	
	function showSuccess(){
		$this->needMemberInfo = true;
		$this->outputMain .= '<div id="forum_mmoo-success_message">welcome on board!</div>';
		$sessionData = forum_mmoo_get_session();
		if( !empty($sessionData['backPage']) ){
			$act = $sessionData['backPage']['act'];
			if( empty($sessionData['backPage']['option']) ){
				$option = array();
			}else{
				$option = $sessionData['backPage']['option'];
			}
			$this->outputMain .= 'back to <a href="'.forum_mmoo_make_content_url($act,$option).'">'.$sessionData['backPage']['text'].'</a><br>';
		}
	}
}
?>