<?php
function forum_mmoo_search_string_escape($string){
	$string = str_replace(' ', FORUM_MMOO_SEARCH_SPACE, $string);
	$string = str_replace('　', FORUM_MMOO_SEARCH_SPACE, $string);
	$string = str_replace("\t", FORUM_MMOO_SEARCH_SPACE, $string);
	$string = str_replace("&nbsp;", FORUM_MMOO_SEARCH_SPACE, $string);
	return $string;
}

function forum_mmoo_search_string_into_array($string){
	return explode(FORUM_MMOO_SEARCH_SPACE, forum_mmoo_search_string_escape($string));
}

function forum_mmoo_get_search_string_where($colName, $arrSearch){
	if( empty($arrSearch) ){
		return array();
	}
	
	include_once(FORUM_MMOO_DATA_DIR.'_data.php');
	$objData = new forum_mmoo_data();
	$wheres = array();
	foreach($arrSearch as $word){
		if( strlen($word) > 0 ){
			$wheres[] = $objData->makeWhereOne($colName, array('like'=>$word));
		}
	}
	
	if(empty($wheres)){
		return array();
	}else{
		return $objData->mergeWhere($wheres,'OR');
	}
}
?>
