<?php
class forum_mmoo_content_pass_remind extends forum_mmoo_content{
	function __construct($request=array()){
		parent::__construct($request,false);
	}
	
	function setOutputMain(){
		if( empty($_POST['forum_mmoo_mail_sent']) ){
			$this->showTry();
		}else{
			$this->sendRemind();
		}
	}
	
	function sendRemind(){
		$to = $_POST['forum_mmoo_mail'];
		
		include_once(FORUM_MMOO_DATA_DIR.'data_members.php');
		$objMembers = new forum_mmoo_data_members();
		$memberInfoAll = $objMembers->getMemberInfoByMail($to,'strict');
		if( empty($memberInfoAll) ){
			$this->outputMain .= '<div id="forum_mmoo-error_message">';
			$this->outputMain .= 'Check your email address.';
			$this->outputMain .= '</div>';
			$this->showTry();
		}else{
			$arrId = array();
			foreach( $memberInfoAll as $memberInfo ){
				$arrId[] = $memberInfo['id'];
			}
			
			include_once(FORUM_MMOO_DATA_DIR.'data_explanation.php');
			$objExplanation = new forum_mmoo_data_explanation();
			$mailData = $objExplanation->getData('password_remind');
			
			include_once(FORUM_MMOO_FUNCTIONS_DIR.'mail.php');
			$mailContent = forum_mmoo_replace_mail_tag( $mailData['content'], array('member_id'=>$arrId) );
			
			if( forum_mmoo_mail($to, $mailData['title'], $mailContent) ){
				$this->outputMain .= '<div id="forum_mmoo-success_message">';
				$this->outputMain .= 'Mail sent.';
				$this->outputMain .= '</div>';
			}else{
				$this->outputMain .= '<div id="forum_mmoo-error_message">';
				$this->outputMain .= 'Invalid address.';
				$this->outputMain .= '</div>';
			}
		}
	}
	
	function showTry(){
		$this->outputMain .= '<p class="forum_mmoo-page_title">Your Email Address : </p>';
		$this->outputMain .= '<form name="forum_mmoo_form" method="post" action="'.forum_mmoo_make_content_url('pass_remind').'">';
		$this->outputMain .= '<input type="hidden" name="forum_mmoo_mail_sent" value=1>';
		$this->outputMain .= '<input type="text" name="forum_mmoo_mail">';
		$this->outputMain .= '&nbsp;&nbsp;<span class="forum_mmoo-psudo_button" onClick="document.forum_mmoo_form.submit();">Send</span>';
		$this->outputMain .= '</form>';
	}
}
?>