<?php
include_once(FORUM_MMOO_FUNCTIONS_DIR.'input_check.php');

include_once(FORUM_MMOO_DATA_DIR.'data_general.php');
$forum_mmoo_data_instance = new forum_mmoo_data_general();

$forum_mmoo_message_text = '';
$forum_mmoo_message_style = "forum_mmoo-dummy_message";

if( !empty($_POST) ){
	$forum_mmoo_errors = array();
	$forum_mmoo_insert_row = array();
	
	if( $_POST[FORUM_MMOO_DASHBOARD_PARAMSUB] != $forum_mmoo_setting_sub_current ){
		$forum_mmoo_errors[] = 'INVALID ACTION';
		$forum_mmoo_data = $forum_mmoo_data_instance->getData();
	}else{
		if( $_POST['use_reply'] == 'no' ){
			$forum_mmoo_insert_row['max_depth'] = FORUM_MMOO_FLAG_ZERO;
			$forum_mmoo_insert_row['max_reply'] = FORUM_MMOO_FLAG_ZERO;
		}else{
			if( $_POST['depth_infinit'] == 'yes' ){
				$forum_mmoo_insert_row['max_depth'] = FORUM_MMOO_FLAG_INFINIT;
			}else{
				$forum_mmoo_posted = forum_mmoo_get_char2num($_POST['max_depth']);
				if( !is_null($forum_mmoo_posted) ){
					$forum_mmoo_insert_row['max_depth'] = $forum_mmoo_posted;
				}else{
					$forum_mmoo_errors[] = 'Invalid value for max depth of replies.';
				}
			}
			
			if( $_POST['reply_infinit'] == 'yes' ){
				$forum_mmoo_insert_row['max_reply'] = FORUM_MMOO_FLAG_INFINIT;
			}else{
				$forum_mmoo_posted = forum_mmoo_get_char2num($_POST['max_reply']);
				if( !is_null($forum_mmoo_posted) ){
					$forum_mmoo_insert_row['max_reply'] = $forum_mmoo_posted;
				}else{
					$forum_mmoo_errors[] = 'Invalid vaue for max replies per post.';
				}
			}
		}
		
		if( $_POST['per_topic_infinit'] == 'yes' ){
			$forum_mmoo_insert_row['per_topic'] = FORUM_MMOO_FLAG_INFINIT;
		}else{
			$forum_mmoo_posted = forum_mmoo_get_char2num($_POST['per_topic']);
			if( !is_null($forum_mmoo_posted) ){
				$forum_mmoo_insert_row['per_topic'] = $forum_mmoo_posted;
			}else{
				$forum_mmoo_errors[] = 'Invalid value for max posts per topic.';
			}
		}
		
		if( $_POST['per_topic_cnt_reply'] == 'yes' ){
			$forum_mmoo_insert_row['per_topic_cnt_reply'] = FORUM_MMOO_FLAG_YES;
		}else{
			$forum_mmoo_insert_row['per_topic_cnt_reply'] = FORUM_MMOO_FLAG_NO;
		}
		
		$forum_mmoo_posted = forum_mmoo_get_char2num($_POST['per_page']);
		if( !is_null($forum_mmoo_posted) ){
			$forum_mmoo_insert_row['per_page'] = $forum_mmoo_posted;
		}else{
			$forum_mmoo_errors[] = 'Invalid value for max posts per page.';
		}
		
		$forum_mmoo_posted = forum_mmoo_get_char2num($_POST['topic_per_page']);
		if( !is_null($forum_mmoo_posted) ){
			$forum_mmoo_insert_row['topic_per_page'] = $forum_mmoo_posted;
		}else{
			$forum_mmoo_errors[] = 'Invalid value for max topics per page.';
		}
		
		$forum_mmoo_insert_row['sort_topic'] = $_POST['sort_topic'];
		$forum_mmoo_insert_row['sort_post'] = $_POST['sort_post'];
		
		if( $_POST['fold_independent'] == 'yes' ){
			$forum_mmoo_insert_row['fold_independent'] = FORUM_MMOO_FLAG_YES;
		}else{
			$forum_mmoo_insert_row['fold_independent'] = FORUM_MMOO_FLAG_NO;
		}
		
		if( $_POST['fold_reply'] == 'yes' ){
			$forum_mmoo_insert_row['fold_reply'] = FORUM_MMOO_FLAG_YES;
		}else{
			$forum_mmoo_insert_row['fold_reply'] = FORUM_MMOO_FLAG_NO;
		}
		
		if( $_POST['password_reminder'] == 'yes' ){
			$forum_mmoo_insert_row['password_reminder'] = FORUM_MMOO_FLAG_YES;
		}else{
			$forum_mmoo_insert_row['password_reminder'] = FORUM_MMOO_FLAG_NO;
		}
		
		$socialButtons = array();
		if( $_POST['twitter']=='yes' ){
			$socialButtons['twitter']['button'] = empty($_POST['twitter_button']) ? 'none' : $_POST['twitter_button'];
		}
		
		if( $_POST['facebook_like']=='yes' ){
			$socialButtons['facebook_like']['button'] = empty($_POST['facebook_like_button']) ? 'button_count' : $_POST['facebook_like_button'];
			$socialButtons['facebook_like']['action'] = empty($_POST['facebook_like_action']) ? 'like' : $_POST['facebook_like_action'];
			$socialButtons['facebook_like']['show_faces'] = ($_POST['facebook_like_show_faces']=='yes') ? true : false;
		}
		
		if( $_POST['google_plusone']=='yes' ){
			$socialButtons['google_plusone']['button'] = empty($_POST['google_plusone_button']) ? 'standard' : $_POST['google_plusone_button'];
		}
		
		if( $_POST['evernote']=='yes' ){
			$socialButtons['evernote']['button'] = empty($_POST['evernote_button']) ? 'article-clipper' : $_POST['evernote_button'];
		}
		
		$forum_mmoo_insert_row['social'] = serialize($socialButtons);
		
		$forum_mmoo_data = $forum_mmoo_insert_row;
	}
	
	if( !empty($forum_mmoo_errors) ){
		$forum_mmoo_message_text = implode( '<br>', $forum_mmoo_errors );
		$forum_mmoo_message_style = "forum_mmoo-error_message";
	}else{
		if( $forum_mmoo_data_instance->saveData($forum_mmoo_insert_row) ){
			$forum_mmoo_message_text = 'Changes saved!';
			$forum_mmoo_message_style = "forum_mmoo-success_message";
		}else{
			$forum_mmoo_message_text = 'Failed to save changes!!';
			$forum_mmoo_message_style = "forum_mmoo-error_message";
		}
	}
}else{
	$forum_mmoo_data = $forum_mmoo_data_instance->getData();
}

if( $forum_mmoo_data['max_depth']==FORUM_MMOO_FLAG_ZERO
		||
	$forum_mmoo_data['max_reply']==FORUM_MMOO_FLAG_ZERO
){
	$forum_mmoo_use_reply_yes = '';
	$forum_mmoo_use_reply_no = ' checked ';
	$forum_mmoo_reply_num_setting = ' style="display: none;" ';
	$forum_mmoo_need_to_cnt_reply = ' style="display: none;" ';
	
	$forum_mmoo_max_depth_infinit_checked = '';
	$forum_mmoo_max_depth_input_checked = '';
	$forum_mmoo_max_depth_input_disabled = ' disabled ';
	$forum_mmoo_max_depth_input_value = '';
	
	$forum_mmoo_max_reply_infinit_checked = '';
	$forum_mmoo_max_reply_input_checked = '';
	$forum_mmoo_max_reply_input_disabled = ' disabled ';
	$forum_mmoo_max_reply_input_value = '';
}else{
	$forum_mmoo_use_reply_yes = ' checked ';
	$forum_mmoo_use_reply_no = '';
	$forum_mmoo_reply_num_setting = '';
	$forum_mmoo_need_to_cnt_reply = '';
	
	if( $forum_mmoo_data['max_depth']==FORUM_MMOO_FLAG_INFINIT ){
		$forum_mmoo_max_depth_infinit_checked = ' checked ';
		$forum_mmoo_max_depth_input_checked = '';
		$forum_mmoo_max_depth_input_disabled = ' disabled ';
		$forum_mmoo_max_depth_input_value = '';
	}else{
		$forum_mmoo_max_depth_infinit_checked = '';
		$forum_mmoo_max_depth_input_checked = ' checked ';
		$forum_mmoo_max_depth_input_disabled = '';
		$forum_mmoo_max_depth_input_value = (int)$forum_mmoo_data['max_depth'];
	}
	
	if( $forum_mmoo_data['max_reply']==FORUM_MMOO_FLAG_INFINIT ){
		$forum_mmoo_max_reply_infinit_checked = ' checked ';
		$forum_mmoo_max_reply_input_checked = '';
		$forum_mmoo_max_reply_input_disabled = ' disabled ';
		$forum_mmoo_max_reply_input_value = '';
	}else{
		$forum_mmoo_max_reply_infinit_checked = '';
		$forum_mmoo_max_reply_input_checked = ' checked ';
		$forum_mmoo_max_reply_input_disabled = '';
		$forum_mmoo_max_reply_input_value = (int)$forum_mmoo_data['max_reply'];
	}
}

if( $forum_mmoo_data['per_topic']==FORUM_MMOO_FLAG_INFINIT ){
	$forum_mmoo_per_topic_infinit_checked = ' checked ';
	$forum_mmoo_per_topic_input_checked = '';
	$forum_mmoo_per_topic_input_disabled = ' disabled ';
	$forum_mmoo_per_topic_input_value = '';
}else{
	$forum_mmoo_per_topic_infinit_checked = '';
	$forum_mmoo_per_topic_input_checked = ' checked ';
	$forum_mmoo_per_topic_input_disabled = '';
	$forum_mmoo_per_topic_input_value = (int)$forum_mmoo_data['per_topic'];
}

if( $forum_mmoo_data['per_topic_cnt_reply']==FORUM_MMOO_FLAG_YES ){
	$forum_mmoo_per_topic_cnt_reply_checked = ' checked ';
}else{
	$forum_mmoo_per_topic_cnt_reply_checked = '';
}

if( $forum_mmoo_data['fold_independent']==FORUM_MMOO_FLAG_YES ){
	$forum_mmoo_fold_independent_yes_checked = ' checked ';
	$forum_mmoo_fold_independent_no_checked = '';
}else{
	$forum_mmoo_fold_independent_yes_checked = '';
	$forum_mmoo_fold_independent_no_checked = ' checked ';
}

if( $forum_mmoo_data['sort_post']=='desc' ){
	$forum_mmoo_sort_post_asc_checked = '';
	$forum_mmoo_sort_post_desc_checked = ' checked ';
}else{
	$forum_mmoo_sort_post_asc_checked = ' checked ';
	$forum_mmoo_sort_post_desc_checked = '';
}

if( $forum_mmoo_data['sort_topic']=='id_asc' ){
	$forum_mmoo_sort_topic_id_asc_checked = ' checked ';
	$forum_mmoo_sort_topic_id_desc_checked = '';
	$forum_mmoo_sort_topic_update_asc_checked = '';
	$forum_mmoo_sort_topic_update_desc_checked = '';
}elseif( $forum_mmoo_data['sort_topic']=='id_desc' ){
	$forum_mmoo_sort_topic_id_asc_checked = '';
	$forum_mmoo_sort_topic_id_desc_checked = ' checked ';
	$forum_mmoo_sort_topic_update_asc_checked = '';
	$forum_mmoo_sort_topic_update_desc_checked = '';
}elseif( $forum_mmoo_data['sort_topic']=='update_asc' ){
	$forum_mmoo_sort_topic_id_asc_checked = '';
	$forum_mmoo_sort_topic_id_desc_checked = '';
	$forum_mmoo_sort_topic_update_asc_checked = ' checked ';
	$forum_mmoo_sort_topic_update_desc_checked = '';
}else{
	$forum_mmoo_sort_topic_id_asc_checked = '';
	$forum_mmoo_sort_topic_id_desc_checked = '';
	$forum_mmoo_sort_topic_update_asc_checked = '';
	$forum_mmoo_sort_topic_update_desc_checked = ' checked ';
}

if( $forum_mmoo_data['fold_reply']==FORUM_MMOO_FLAG_YES ){
	$forum_mmoo_fold_reply_yes_checked = ' checked ';
	$forum_mmoo_fold_reply_no_checked = '';
}else{
	$forum_mmoo_fold_reply_yes_checked = '';
	$forum_mmoo_fold_reply_no_checked = ' checked ';
}

if( $forum_mmoo_data['password_reminder']==FORUM_MMOO_FLAG_YES ){
	$forum_mmoo_password_reminder_yes = ' checked ';
}else{
	$forum_mmoo_password_reminder_yes = '';
}
?>

<div id="<?php echo $forum_mmoo_message_style; ?>"><?php echo $forum_mmoo_message_text; ?></div>

<form method="post" action="<?php echo $forum_mmoo_setting_page_url; ?>">
<input type="hidden" name="<?php echo FORUM_MMOO_DASHBOARD_PARAMSUB; ?>" value="<?php echo $forum_mmoo_setting_sub_current; ?>">

<div class="forum_mmoo-title_box">Reply Posts</div>
<div class="forum_mmoo-content_box">
	<input type="radio" class="forum_mmoo-radio_menu" name="use_reply" value="yes" <?php echo $forum_mmoo_use_reply_yes; ?> onClick="jQuery('#reply_detail').show(); jQuery('#need_cnt').show();">Use reply posts
	<input type="radio" class="forum_mmoo-radio_menu" name="use_reply" value="no" <?php echo $forum_mmoo_use_reply_no; ?> onClick="jQuery('#reply_detail').hide(); jQuery('#need_cnt').hide();">do NOT use reply posts
	<div id="reply_detail" <?php echo $forum_mmoo_reply_num_setting; ?> >
		<table class="forum_mmoo-table_sub">
		 <tr>
<th>max depth of replies&nbsp;<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/ques_15.jpg" class="mmoo_popup_open_button" alt="depth of replies?" onClick="mmoo_popOpen('depth');"></th>
		  <td>
			<input type="radio" class="forum_mmoo-radio_menu" name="depth_infinit" value="yes" <?php echo $forum_mmoo_max_depth_infinit_checked; ?> onClick="forum_mmoo_kill('max_depth_text');">infinit
			<input type="radio" class="forum_mmoo-radio_menu" name="depth_infinit" value="no" <?php echo $forum_mmoo_max_depth_input_checked; ?> onClick="forum_mmoo_revive('max_depth_text','input numbers');">max&nbsp;:&nbsp;
			<input type="text" class="forum_mmoo-input-num" id="max_depth_text" name="max_depth" value="<?php echo $forum_mmoo_max_depth_input_value; ?>" <?php echo $forum_mmoo_max_depth_input_disabled; ?> maxlength="2" onClick="forum_mmoo_alive('max_depth_text');">
		  </td>
		 </tr>
		 <tr>
		  <th>max replies per post</th>
		  <td>
			<input type="radio" class="forum_mmoo-radio_menu" name="reply_infinit" value="yes" <?php echo $forum_mmoo_max_reply_infinit_checked; ?> onClick="forum_mmoo_kill('max_reply_text');">infinit
			<input type="radio" class="forum_mmoo-radio_menu" name="reply_infinit" value="no" <?php echo $forum_mmoo_max_reply_input_checked; ?> onClick="forum_mmoo_revive('max_reply_text','input numbers');">max&nbsp;:&nbsp;
			<input type="text" class="forum_mmoo-input-num" id="max_reply_text" name="max_reply" value="<?php echo $forum_mmoo_max_reply_input_value; ?>" <?php echo $forum_mmoo_max_reply_input_disabled; ?> maxlength="2" onClick="forum_mmoo_alive('max_reply_text');">
		  </td>
		 </tr>
		</table>
	</div>
</div>

<div class="forum_mmoo-title_box">max posts per topic</div>
<div class="forum_mmoo-content_box">
	How many posts would you allow for one topic?<br>
	<input type="radio" class="forum_mmoo-radio_menu" name="per_topic_infinit" value="yes" <?php echo $forum_mmoo_per_topic_infinit_checked; ?> onClick="forum_mmoo_kill('per_topic_text');">infinit
	<input type="radio" class="forum_mmoo-radio_menu" name="per_topic_infinit" value="no" <?php echo $forum_mmoo_per_topic_input_checked; ?> onClick="forum_mmoo_revive('per_topic_text','input numbers');">max&nbsp;:&nbsp;
	<input type="text" class="forum_mmoo-input-num" id="per_topic_text" name="per_topic" value="<?php echo $forum_mmoo_per_topic_input_value; ?>" <?php echo $forum_mmoo_per_topic_input_disabled; ?> maxlength="2" onClick="forum_mmoo_alive('per_topic_text');">
	<span id="need_cnt" <?php echo $forum_mmoo_need_to_cnt_reply; ?> >&nbsp;&nbsp;&nbsp;&nbsp;
		<input type="checkbox" name="per_topic_cnt_reply" value="yes" <?php echo $forum_mmoo_per_topic_cnt_reply_checked; ?> >&nbsp;count replies too
	</span>
</div>

<div class="forum_mmoo-title_box">Topic List</div>
<div class="forum_mmoo-content_box">
	How many topics would you like to show per page?
	<br>
	<input type="text" class="forum_mmoo-input-num" maxlength="2" name="topic_per_page" value="<?php echo (int)$forum_mmoo_data['topic_per_page']; ?>" > topics per page.
	<br><br>
	In what order would you like to show topics?
	<br>
	<input type="radio" class="forum_mmoo-radio_menu" name="sort_topic" value="update_asc" <?php echo $forum_mmoo_sort_topic_update_asc_checked; ?>><?php echo $forum_mmoo_data_instance->sort_topic['update_asc']['text']; ?>
	<input type="radio" class="forum_mmoo-radio_menu" name="sort_topic" value="update_desc" <?php echo $forum_mmoo_sort_topic_update_desc_checked; ?>><?php echo $forum_mmoo_data_instance->sort_topic['update_desc']['text']; ?>
	<input type="radio" class="forum_mmoo-radio_menu" name="sort_topic" value="id_asc" <?php echo $forum_mmoo_sort_topic_id_asc_checked; ?>><?php echo $forum_mmoo_data_instance->sort_topic['id_asc']['text']; ?>
	<input type="radio" class="forum_mmoo-radio_menu" name="sort_topic" value="id_desc" <?php echo $forum_mmoo_sort_topic_id_desc_checked; ?>><?php echo $forum_mmoo_data_instance->sort_topic['id_desc']['text']; ?>
</div>

<div class="forum_mmoo-title_box">Posts</div>
<div class="forum_mmoo-content_box">
	How many posts would like to show per page?
	<br>
	<input type="text" class="forum_mmoo-input-num" maxlength="2" name="per_page" value="<?php echo (int)$forum_mmoo_data['per_page']; ?>" > posts per page.&nbsp;&nbsp;*without counting replies.
	<br><br>
	In what order would you like to show posts?
	<br>
	<input type="radio" class="forum_mmoo-radio_menu" name="sort_post" value="asc" <?php echo $forum_mmoo_sort_post_asc_checked; ?>><?php echo $forum_mmoo_data_instance->sort_post['asc']['text']; ?>
	<input type="radio" class="forum_mmoo-radio_menu" name="sort_post" value="desc" <?php echo $forum_mmoo_sort_post_desc_checked; ?>><?php echo $forum_mmoo_data_instance->sort_post['desc']['text']; ?>
</div>

<div class="forum_mmoo-title_box">Folding Posts</div>
<div class="forum_mmoo-content_box">
	You can fold posts if you would like :)
	<table class="forum_mmoo-table_sub">
	 <tr>
	  <th>Non-reply posts</th>
	  <td>
		<input type="radio" class="forum_mmoo-radio_menu" name="fold_independent" value="yes" <?php echo $forum_mmoo_fold_independent_yes_checked; ?>>fold(hide) by default.
		<input type="radio" class="forum_mmoo-radio_menu" name="fold_independent" value="no" <?php echo $forum_mmoo_fold_independent_no_checked; ?>>show by default.
	  </td>
	 </tr>
	 <tr>
	  <th>reply posts</th>
	  <td>
		<input type="radio" class="forum_mmoo-radio_menu" name="fold_reply" value="yes" <?php echo $forum_mmoo_fold_reply_yes_checked; ?>>fold(hide) by default.
		<input type="radio" class="forum_mmoo-radio_menu" name="fold_reply" value="no" <?php echo $forum_mmoo_fold_reply_no_checked; ?>>show by default.
	  </td>
	 </tr>
	</table>
</div>

<div class="forum_mmoo-title_box">Password Reminding Mail</div>
<div class="forum_mmoo-content_box">
	<input type="checkbox" class="forum_mmoo-radio_menu" name="password_reminder" value="yes" <?php echo $forum_mmoo_password_reminder_yes; ?>>send pass-reminder from your forum.
</div>

<div class="forum_mmoo-title_box_wide">SNS buttons
<input type=button id="social_open" class="forum_mmoo-button" style="margin:1em;" value="SHOW" onClick="jQuery('#social_open').hide(); jQuery('#social_close').show(); jQuery('#social_detail').show();">
<input type=button id="social_close" class="forum_mmoo-button" style="margin:1em; display:none;" value="FOLD" onClick="jQuery('#social_open').show(); jQuery('#social_close').hide(); jQuery('#social_detail').hide();">
</div>
<div id="social_detail"  style="display:none;">

<div class="forum_mmoo-content_box_wide">
	<strong>Choose the buttons you would like to show on your forum.</strong>
	<br><span class="forum_mmoo-comment">They don't show on the sign-in pages and so on ;)</span>

<?php $socialButtons = unserialize($forum_mmoo_data['social']); ?>
	<div class="forum_mmoo-social_title">
	<input type="checkbox" class="forum_mmoo-radio_menu" name="twitter" value="yes" <?php if(!empty($socialButtons['twitter'])){ echo ' checked';} ?>>
	twitter
	</div>
	<div class="forum_mmoo-social_detail">
	<input type="radio" class="forum_mmoo-radio_menu" name="twitter_button" value="none" <?php if(empty($socialButtons['twitter']['button'])||$socialButtons['twitter']['button']=='none'){echo ' checked ';} ?>>
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/social_buttons/twitter_none.png" alt="twitter_none">
	<input type="radio" class="forum_mmoo-radio_menu" name="twitter_button" value="horizontal" <?php if($socialButtons['twitter']['button']=='horizontal'){echo ' checked ';} ?>>
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/social_buttons/twitter_horizontal.png" alt="twitter_horizontal">
	<input type="radio" class="forum_mmoo-radio_menu" name="twitter_button" value="vertical" <?php if($socialButtons['twitter']['button']=='vertical'){echo ' checked ';} ?>>
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/social_buttons/twitter_vertical.png" alt="twitter_vertical">
	</div>
	
	<div class="forum_mmoo-social_title">
	<input type="checkbox" class="forum_mmoo-radio_menu" name="facebook_like" value="yes" <?php if(!empty($socialButtons['facebook_like'])){ echo ' checked';} ?>>
	facebook
	</div>
	<div class="forum_mmoo-social_detail">
	<input type="radio" class="forum_mmoo-radio_menu" name="facebook_like_button" value="button_count" <?php if(empty($socialButtons['facebook_like']['button'])||$socialButtons['facebook_like']['button']=='button_count'){echo ' checked ';} ?> onClick="forum_mmoo_facebook_check();">
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/social_buttons/facebook_button_count.jpg" alt="facebook_button_count">
	<input type="radio" class="forum_mmoo-radio_menu" id="forum_mmoo_facebook_standard" name="facebook_like_button" value="standard" <?php if($socialButtons['facebook_like']['button']=='standard'){echo ' checked ';} ?> onClick="forum_mmoo_facebook_check();">
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/social_buttons/facebook_standard.jpg" alt="facebook_standard">
	<input type="radio" class="forum_mmoo-radio_menu" name="facebook_like_button" value="box_count" <?php if($socialButtons['facebook_like']['button']=='box_count'){echo ' checked ';} ?> onClick="forum_mmoo_facebook_check();">
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/social_buttons/facebook_box_count.jpg" alt="facebook_box_count">
	<br><hr>
	<input type="radio" class="forum_mmoo-radio_menu" name="facebook_like_action" value="like" <?php if(empty($_POST['facebook_like_action'])||$_POST['facebook_like_action']=='like'){echo ' checked ';} ?>>Like
	<input type="radio" class="forum_mmoo-radio_menu" name="facebook_like_action" value="recommend" <?php if($_POST['facebook_like_action']=='recommend'){echo ' checked ';} ?>>Recommend
		<div <?php if($socialButtons['facebook_like']['button']!='standard'){echo 'style="display: none;"';} ?> id="forum_mmoo_facebook_showfaces">
		<hr>
		<input type="checkbox" class="forum_mmoo-radio_menu" name="facebook_like_show_faces" value="yes" <?php if($socialButtons['facebook_like']['show_faces']){echo ' checked ';} ?>>Show Faces
		</div>
	</div>
	
	<div class="forum_mmoo-social_title">
	<input type="checkbox" class="forum_mmoo-radio_menu" name="google_plusone" value="yes" <?php if(!empty($socialButtons['google_plusone'])){ echo ' checked';} ?>>
	google+1
	</div>
	<div class="forum_mmoo-social_detail">
<?php
$arrGoogle = array('standard', 'tall');
foreach($arrGoogle as $i){
?>
	<input type="radio" class="forum_mmoo-radio_menu" name="google_plusone_button" value="<?php echo $i; ?>" <?php if( (empty($socialButtons['google_plusone']['button'])&&$i=='standard') || $socialButtons['google_plusone']['button']==$i){echo ' checked ';} ?>>
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/social_buttons/google_<?php echo $i;?>.jpg" alt="google_button_<?php echo $i;?>">
<?php
}
?>
	</div>
	
	<div class="forum_mmoo-social_title">
	<input type="checkbox" class="forum_mmoo-radio_menu" name="evernote" value="yes" <?php if(!empty($socialButtons['evernote'])){ echo ' checked';} ?>>
	evernote
	</div>
	<div class="forum_mmoo-social_detail">
<?php
$arrEvernote = array('article-clipper', 'article-clipper-remember', 'site-mem-32');
foreach($arrEvernote as $i){
?>
	<input type="radio" class="forum_mmoo-radio_menu" name="evernote_button" value="<?php echo $i; ?>" <?php if( (empty($socialButtons['evernote']['button'])&&$i=='article-clipper') || $socialButtons['evernote']['button']==$i){echo 'checked ';} ?>>
	<img src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/social_buttons/evernote_<?php echo $i;?>.jpg" alt="evernote_button_<?php echo $i;?>">
<?php
}
?>
	</div>
</div>
</div>

<div style="margin-top:1em; margin-left:20em;"><input type="submit" class="forum_mmoo-submit" value="Save Change"></div>

</form>


<div id="mmoo_popup_depth" class="mmoo_popup">
 <table>
  <tr>
   <th class="mmoo_drag_handle">depth of replies?</th>
   <th width="42px">
	<img class="mmoo_popup_close_button" src="<?php echo FORUM_MMOO_FILE_URL; ?>/image/close_40_15.jpg" alt="CLOSE" onClick="mmoo_popClose('depth');">
   </th>
  </tr>
  <tr>
   <td colspan="2">
	<p>When you set "1" ->->-> You can reply to a post, can't reply to a reply of a post.</p>
	<p>When you set "2" ->->-> You can reply to a reply of a post, can't to a reply of a reply.</p>
   </td>
  </tr>
 </table>
</div>