<?php
include_once(FORUM_MMOO_DATA_DIR.'_data.php');

class forum_mmoo_data_explanation extends forum_mmoo_data{
	function __construct(){
		parent::__construct('explanation');
	}
	
	function setAllFields(){
		$fields = array(
			'for_what' => array('col_name'=>'for_what', 'type'=>'varchar', 'length'=>50)
			, 'title' => array('col_name'=>'title', 'type'=>'varchar', 'length'=>200)
			, 'content' => array('col_name'=>'content', 'type'=>'text')
		);
		$this->setField($fields);
	}
	
	function setDefaultRows(){
		$this->default_rows = array(
			array('for_what' => 'group', 'title' => 'About Groups')
			, array('for_what' => 'confirm_mail', 'title' => '[From FORUM] Account Activation')
			, array('for_what' => 'allowed_in', 'title' => '[Froum FORUM] Your Account Activated!')
			, array('for_what' => 'rejected', 'title' => '[Froum FORUM] Rejection')
			, array('for_what' => 'notify_topic', 'title' => '[Froum FORUM] Topic Updated!!')
			, array('for_what' => 'notify_reply', 'title' => '[Froum FORUM] Post Replied!!')
			, array('for_what' => 'notify_message', 'title' => '[Froum FORUM] New Message')
			, array('for_what' => 'change_mail', 'title' => '[Froum FORUM] Changed Mail Address Activation')
			, array('for_what' => 'password_remind', 'title' => '[Froum FORUM] Your Login Info')
		);
		
		foreach( $this->default_rows as $key => $row ){
			$fp = fopen(FORUM_MMOO_TEXT_SAMPLE_DIR.$row['for_what'].'.txt', 'r');
			$content = fread($fp, 65535);
			$this->default_rows[$key]['content'] = $content;
		}
	}
	
	function getData($forWhat){
		$return = array();
		return $this->executeSelectOne( array('title', 'content'), array('for_what'=>$forWhat) );
	}
	
	function saveData($forWhat, $title, $content){
		return $this->executeUpdate( array('title'=>$title, 'content'=>$content), array('for_what'=>$forWhat), true );
	}
}
?>