<?php
$path = preg_replace( '/mmoo_emotions.php(.*)/', '', $_SERVER['PHP_SELF'] );
$jsPath = $path;
$smiley_file_num = 76;
$perTr = 6;
$trHeight = 15;
$maxDivHeight = $trHeight * ceil( $smiley_file_num / $perTr );
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>{#emotions.emotions_desc}</title>
<script type="text/javascript" type="text/javascript" src="<?php echo $jsPath; ?>tiny_mce_popup.js"></script>
<script type="text/javascript" type="text/javascript" src="<?php echo $jsPath; ?>jquery.js"></script>
<script type="text/javascript" type="text/javascript">
var EmotionsDialog = {
	init : function(ed) {
		tinyMCEPopup.resizeToInnerSize();
	},

	insert : function insertEmotion(code) {
    	tinyMCEPopup.execCommand('mceInsertContent', false, code);
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(EmotionsDialog.init, EmotionsDialog);

document.write('<base href="'+tinymce.baseURL+'" />');

function adjustScrollDiv(){
	var scrollDivHeight;
	scrollDivHeight = jQuery(window).height() * 0.8;
	if( scrollDivHeight > <?php echo $maxDivHeight; ?> ){
		scrollDivHeight = <?php echo $maxDivHeight; ?>;
	}
	jQuery('#scroll_div').css('height', scrollDivHeight);
	jQuery('#scroll_div').css('overflow', 'scroll');
}

jQuery(document).ready(function() {
	adjustScrollDiv();
});
jQuery(window).bind('resize', adjustScrollDiv);
</script>
<style type="text/css">
	table#emotions {border:0; width:120px;}
	#emotions img {border:0;margin:4px;}
</style>
<base target="_self" />
</head>
<body style="display: none">
	<div align="center">
		<div class="title">{#emotions.emotions_desc}:<br /><br /></div>
		<div id="scroll_div">
		<table id="emotions">
<?php
for($i=1; $i<=$smiley_file_num; $i++){
	$imageFile = $path.'smiley/'.sprintf('%02d', $i).'.gif';
	$imgTag = '<img src="'.$imageFile.'" width="15" height="'.$trHeight.'" alt="mmoo_smiley_'.$i.'" title="mmoo_smiley_'.$i.'" style="border:0; padding:0;"/>';
	if( $i % $perTr == 1 ){
		echo '<tr>';
	}
	echo '<td><a href="javascript:EmotionsDialog.insert(\''.htmlspecialchars($imgTag).'\')">'.$imgTag.'</a></td>';
	if( $i % $perTr == 0 || $i==$smiley_file_num ){
		echo '</tr>';
	}
}
?>
		</table>
		</div>
	</div>
</body>
</html>
